Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Serial

## read()

#### Description

Reads incoming serial data.

#### Syntax

Serial.read()

Arduino Mega only:
Serial1.read()
Serial2.read()
Serial3.read()

### Parameters

None

#### Returns

the first byte of incoming serial data available (or -1 if no data is available) - int

### Example

    int incomingByte = 0;	// for incoming serial data

    void setup() {
    	Serial.begin(9600);	// opens serial port, sets data rate to 9600 bps
    }

    void loop() {

    	// send data only when you receive data:
    	if (Serial.available() > 0) {
    		// read the incoming byte:
    		incomingByte = Serial.read();

    		// say what you got:
    		Serial.print("I received: ");
    		Serial.println(incomingByte, DEC);
    	}
    }

#### See also

- Serial.available()
- Serial.flush()

Reference Home

Share|
Edit Page | Page History | Printable View | All Recent Site Changes